QGIS Application - Bug report #279
Low resolution of point symbols in print composer / printed map
2006-09-20 05:39 AM - wolfgang-qual-gmx-net -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10338
Description

Resolution of point symbols in both print composer and printed map is quite low (ggis 0.8, preview 2)
Wolfgang Qual (wolfgang.qual-at-gmx.net)

History

#1 - 2006-12-22 05:43 AM - neteler-itc-it -

Hi,

the low resolution of the point symbols is (for us) really a problem. | assume that somehow the selected resolution (in my example 300dpi) isn't applied to
the point symbols. And/or too much anti-aliasing is used or JPEG compression.

Best,
Markus

#2 - 2007-01-03 08:58 AM - lami-faunalia-it -

The problem is not only for point symbol but also for same elemnts of map scale and legend. See the image attached

#3 - 2007-02-25 07:20 PM - Tim Sutton

Moved to milestone 0.8.2 since we wont be fixing any further issues before the 0.8.1 release

#4 - 2007-07-18 06:27 PM - Steven Bell -

This problem occurs because QGIS is using the same point symbol it does for the map canvas, but scaling it up. If your symbol is the default circle, the
symbol will be ~7 pixels tall, regardless of the composition resolution.
Fixing this will probably require the addition of an extra function to get the point symbol as a variable or high-resolution pixmap.

#5 - 2007-08-31 05:55 AM - leo-lami -

If you set the symbol scale in the map composer from 0.5 (default) to 0.1 the point semm to be well draw but in the problem occours ever in the legend.

#6 - 2008-08-02 08:27 PM - Tim Sutton

2025-05-17 12




Reassigned to Marco since he is refactoring the map composer

#7 - 2008-08-26 12:03 AM - Marco Hugentobler
- Status changed from Open to Closed
- Resolution set to fixed

Resolution of point symbols should be ok now.

#8 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
